<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer libav 1.0 Plugins Reference Manual: gstavcfg</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer libav 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-libav Base and Support classes">
<link rel="prev" href="gst-libav-plugins-GstFFMpegAudEnc.html" title="GstFFMpegAudEnc">
<link rel="next" href="gst-libav-plugins-gstavcodecmap.html" title="gstavcodecmap">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstavcfg.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstavcfg.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-libav-plugins-GstFFMpegAudEnc.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-libav-plugins-gstavcodecmap.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-libav-plugins-gstavcfg"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-libav-plugins-gstavcfg.top_of_page"></a>gstavcfg</span></h2>
<p>gstavcfg</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcfg.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcfg.html#gst-ffmpeg-cfg-init" title="gst_ffmpeg_cfg_init ()">gst_ffmpeg_cfg_init</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcfg.html#gst-ffmpeg-cfg-install-property" title="gst_ffmpeg_cfg_install_property ()">gst_ffmpeg_cfg_install_property</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcfg.html#gst-ffmpeg-cfg-set-property" title="gst_ffmpeg_cfg_set_property ()">gst_ffmpeg_cfg_set_property</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcfg.html#gst-ffmpeg-cfg-get-property" title="gst_ffmpeg_cfg_get_property ()">gst_ffmpeg_cfg_get_property</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcfg.html#gst-ffmpeg-cfg-fill-context" title="gst_ffmpeg_cfg_fill_context ()">gst_ffmpeg_cfg_fill_context</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcfg.html#gst-ffmpeg-cfg-set-defaults" title="gst_ffmpeg_cfg_set_defaults ()">gst_ffmpeg_cfg_set_defaults</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcfg.html#gst-ffmpeg-cfg-finalize" title="gst_ffmpeg_cfg_finalize ()">gst_ffmpeg_cfg_finalize</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcfg.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcfg.description"></a><h2>Description</h2>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcfg.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gst-ffmpeg-cfg-init"></a><h3>gst_ffmpeg_cfg_init ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_cfg_init (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-cfg-install-property"></a><h3>gst_ffmpeg_cfg_install_property ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_cfg_install_property (<em class="parameter"><code><span class="type">GstFFMpegVidEncClass</span> *klass</code></em>,
                                 <em class="parameter"><code><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a> base</code></em>);</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-cfg-set-property"></a><h3>gst_ffmpeg_cfg_set_property ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpeg_cfg_set_property (<em class="parameter"><code><a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"><span class="type">GObject</span></a> *object</code></em>,
                             <em class="parameter"><code>const <a href="http://library.gnome.org/devel/gobject/unstable/gobject-Generic-values.html#GValue"><span class="type">GValue</span></a> *value</code></em>,
                             <em class="parameter"><code><a href="http://library.gnome.org/devel/gobject/unstable/gobject-GParamSpec.html#GParamSpec"><span class="type">GParamSpec</span></a> *pspec</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.5.6.4.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-cfg-get-property"></a><h3>gst_ffmpeg_cfg_get_property ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpeg_cfg_get_property (<em class="parameter"><code><a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject"><span class="type">GObject</span></a> *object</code></em>,
                             <em class="parameter"><code><a href="http://library.gnome.org/devel/gobject/unstable/gobject-Generic-values.html#GValue"><span class="type">GValue</span></a> *value</code></em>,
                             <em class="parameter"><code><a href="http://library.gnome.org/devel/gobject/unstable/gobject-GParamSpec.html#GParamSpec"><span class="type">GParamSpec</span></a> *pspec</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.5.6.5.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-cfg-fill-context"></a><h3>gst_ffmpeg_cfg_fill_context ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_cfg_fill_context (<em class="parameter"><code><span class="type">GstFFMpegVidEnc</span> *ffmpegenc</code></em>,
                             <em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>);</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-cfg-set-defaults"></a><h3>gst_ffmpeg_cfg_set_defaults ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_cfg_set_defaults (<em class="parameter"><code><span class="type">GstFFMpegVidEnc</span> *ffmpegenc</code></em>);</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-cfg-finalize"></a><h3>gst_ffmpeg_cfg_finalize ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_cfg_finalize (<em class="parameter"><code><span class="type">GstFFMpegVidEnc</span> *ffmpegenc</code></em>);</pre>
<p>
</p>
</div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcfg.other_details"></a><h2>Types and Values</h2>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>